// Generate By EToy
// Don't Edit It!!

using XGame.Framework.Serialization;
namespace XGame.Database
{
    /// <summary>
    /// 简易奖励配置
    /// </summary>
    public sealed class AwardLite : ISerializable
    {
        public string GameObjectId { get; private set; }
        public long Count { get; private set; }

        void ISerializable.Deserialize(IReader reader)
        {
            GameObjectId = reader.ReadString();
            Count = reader.ReadLong();
        }

        void ISerializable.Serialize(IWriter writer)
        {
            writer.Write(GameObjectId);
            writer.Write(Count);
        }
    }
}
